Subject: bug#9246: Scrolling bug with word-wrap in emacs -nw

From: Antoine Levitt <[email-masked]>
Date: Sat, 24 Dec 2011 16:29:56 +0100

24/12/11 15:47, Eli Zaretskii
>> From: Antoine Levitt <[email-masked]>
>> Cc: Thomas Riccardi <[email-masked]>,  [email-masked]
>> Date: Sat, 24 Dec 2011 14:57:39 +0100
>> 
>> I don't know a simpler way - at least, not without understanding
>> erc-scrolltobottom, which I don't.
>
> What is erc-scrolltobottom?

It's a module to automatically scroll to the bottom of the buffer.  I
think I looked at it some time ago, and concluded that this bug comes
from emacs internals rather than this module. But I might be wrong.

>
>> How does erc fail?
>
> It turns out, it doesn't always fail.  When it does, it shows this in
> the echo area:
>
>    make client process failed: connection timed out, :name,
> erc-irc.freenode.net-6667, :buffer, nil, :host, irc.freenode.net,
> :service, 6667, :nowait, nil

Probably an internet connection problem, not emacs related.

>
> Anyway, I tried on a different system, where I have better luck
> connecting, and I cannot reproduce the problem here, with the latest
> trunk.  I typed a very long link, then typed some random lines until
> the window was full, and didn't see any hell break lose on me.
>
> Can you copy-paste the exact text you type into the ERC window to
> reproduce this bug, starting with the connection, and everything you
> do afterwards?

Alright. So emacs -Q -nw (the -nw is important). M-x erc RET RET RET
RET, connect to freenode, you get to the server window. Type

/join #somethingtest RET, you get to the channel window.

M-: (setq word-wrap t) RET
M-x erc-scrolltobottom-enable RET

http://wowthisislongveryveryveryveryveryveryveryveryveryveryveryveryveryveryverylong.com RET
a RET
a RET
... etc until end of buffer. Then point goes to top, and the scrolling
doesn't work anymore.

I verified with latest trunk, I still see this.